| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PortParameters Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Class PortParameters, to define the port parameters and gains related with the RTPS protocol. More...

`#include <PortParameters.hpp>`

## Public Member Functions

| PortParameters ()
virtual | ~PortParameters ()
bool | operator== (const PortParameters &b) const
uint32_t | getMulticastPort (uint32_t domainId) const
| Get a multicast port based on the domain ID.
uint32_t | getUnicastPort (uint32_t domainId, uint32_t RTPSParticipantID) const
| Get a unicast port based on the domain ID and the participant ID.
uint16_t | get_discovery_server_port (uint32_t domainId) const
| Get a discovery server port based on the domain ID.

## Public Attributes

uint16_t | portBase
| PortBase, default value 7400.
uint16_t | domainIDGain
| DomainID gain, default value 250.
uint16_t | participantIDGain
| ParticipantID gain, default value 2.
uint16_t | offsetd0
| Offset d0, default value 0.
uint16_t | offsetd1
| Offset d1, default value 10.
uint16_t | offsetd2
| Offset d2, default value 1.
uint16_t | offsetd3
| Offset d3, default value 11.
uint16_t | offsetd4
| Offset d4, default value 2.

## Detailed Description

Class PortParameters, to define the port parameters and gains related with the RTPS protocol.

## Constructor & Destructor Documentation

## ◆ PortParameters()

PortParameters | ( |  | ) |

inline

## ◆ ~PortParameters()

virtual ~PortParameters | ( |  | ) |

inline virtual

## Member Function Documentation

## ◆ get_discovery_server_port()

uint16_t get_discovery_server_port | ( | uint32_t | domainId | ) | const

inline

Get a discovery server port based on the domain ID.

Parameters

  domainId | Domain ID.

Returns
  Discovery server port

## ◆ getMulticastPort()

uint32_t getMulticastPort | ( | uint32_t | domainId | ) | const

inline

Get a multicast port based on the domain ID.

Parameters

  domainId | Domain ID.

Returns
  Multicast port

## ◆ getUnicastPort()

uint32_t getUnicastPort | ( | uint32_t | domainId,
|  | uint32_t | RTPSParticipantID ) const

inline

Get a unicast port based on the domain ID and the participant ID.

Parameters

  domainId | Domain ID.
  RTPSParticipantID | Participant ID.

Returns
  Unicast port

## ◆ operator==()

bool operator== | ( | const PortParameters & | b | ) | const

inline

## Member Data Documentation

## ◆ domainIDGain

uint16_t domainIDGain

DomainID gain, default value 250.

## ◆ offsetd0

uint16_t offsetd0

Offset d0, default value 0.

## ◆ offsetd1

uint16_t offsetd1

Offset d1, default value 10.

## ◆ offsetd2

uint16_t offsetd2

Offset d2, default value 1.

## ◆ offsetd3

uint16_t offsetd3

Offset d3, default value 11.

## ◆ offsetd4

uint16_t offsetd4

Offset d4, default value 2.

## ◆ participantIDGain

uint16_t participantIDGain

ParticipantID gain, default value 2.

## ◆ portBase

uint16_t portBase

PortBase, default value 7400.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/PortParameters.hpp